#define F_CPU 12000000UL
#include <avr/io.h>
#include <util/delay.h>     /* for _delay_ms() */

uint16_t read_adc(uint8_t channel){
    ADMUX = 0b01000000; // เลือกใช้แรงดันอ้างอิงจากขา AREF
    ADMUX |= channel;   // ตั้ง MUXl ให้ชี้ไปยัง channel
    ADCSRA = 0b11000110;
    //         ||   -+-
    //         ||    |
    //         ||    +-> ปรับคล็อกของ ADC ให้เป็น 1/64 ของคล็อกระบบ
    //         |+->เริ่มแปลงค่าแอนะล็อกเป็นดิจิทัล (บิต ADSC)
    //         |
    //         +-> Enable ADC (บิต ADEN)

    while ((ADCSRA & (1<<ADSC))) // รอจนบิต ADSC (บิต 6) กลายเป็น 0
        ;
    return ADCL + ADCH*256;  // ผลลัพธ์ถูกเก็บอยู่ในรีจีสเตอร์ ADCL และ ADCH
}



main()
{
	int chk = 0, max = 0;
	int round = 5;
	double elapsed;	
	DDRC =  0b111101;
	DDRD =  0b11100000;
	uint16_t a,b,c,time,x;
	uint32_t i,j;
	PORTC = 0b000000;
	_delay_ms(1000);
	while(1){
		max = 0;
		chk = 0;
		for(i = 0; i < 15; i++){
			_delay_ms(50);
			if( read_adc(1) > 100 && chk == 0){
				PORTC = 0b011001;	
				chk = 1;			
			} else {
				max++;		
			}
		}
		if(max > 14 && chk == 0){
			PORTC = 0b000000;	
		}
	}
}
